<?php
/**
 * Business Interface Customizer helper functions.
 *
 * @package     Business Interface
 * @author      WPInterface Team
 * @since       1.0.0
 */

/**
 * Do not allow direct script access.
 */
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Returns array of available widgets.
 *
 * @since 1.0.0
 * @return array, $widgets array of available widgets.
 */
function business_interface_get_customizer_widgets() {

	$widgets = array(
		'text'    => 'Business_Interface_Customizer_Widget_Text',
		'nav'     => 'Business_Interface_Customizer_Widget_Nav',
		'socials' => 'Business_Interface_Customizer_Widget_Socials',
		'search'  => 'Business_Interface_Customizer_Widget_Search',
		'button'  => 'Business_Interface_Customizer_Widget_Button',
	);

	return apply_filters( 'business_interface_customizer_widgets', $widgets );
}

/**
 * Get choices for "Hide on" customizer options.
 *
 * @since  1.0.0
 * @return array
 */
function business_interface_get_display_choices() {

	// Default options.
	$return = array(
		'home'       => array(
			'title' => esc_html__( 'Home Page', 'business-interface' ),
		),
		'posts_page' => array(
			'title' => esc_html__( 'Blog / Posts Page', 'business-interface' ),
		),
		'search'     => array(
			'title' => esc_html__( 'Search', 'business-interface' ),
		),
		'archive'    => array(
			'title' => esc_html__( 'Archive', 'business-interface' ),
			'desc'  => esc_html__( 'Dynamic pages such as categories, tags, custom taxonomies...', 'business-interface' ),
		),
		'post'       => array(
			'title' => esc_html__( 'Single Post', 'business-interface' ),
		),
		'page'       => array(
			'title' => esc_html__( 'Single Page', 'business-interface' ),
		),
	);

	// Get additionally registered post types.
	$post_types = get_post_types(
		array(
			'public'   => true,
			'_builtin' => false,
		),
		'objects'
	);

	if ( is_array( $post_types ) && ! empty( $post_types ) ) {
		foreach ( $post_types as $slug => $post_type ) {
			$return[ $slug ] = array(
				'title' => $post_type->label,
			);
		}
	}

	return apply_filters( 'business_interface_display_choices', $return );
}

/**
 * Get device choices for "Display on" customizer options.
 *
 * @since  1.2.0
 * @return array
 */
function business_interface_get_device_choices() {

	// Default options.
	$return = array(
		'desktop' => array(
			'title' => esc_html__( 'Hide On Desktop', 'business-interface' ),
		),
		'tablet' => array(
			'title' => esc_html__( 'Hide On Tablet', 'business-interface' ),
		),
		'mobile' => array(
			'title' => esc_html__( 'Hide On Mobile', 'business-interface' ),
		),
	);

	return apply_filters( 'business_interface_device_choices', $return );
}
